/**
 * Copyright (C) 2000-2002 Jeffrey Fulmer <jdfulmer@armstrong.com>
 * This file is part of wackyd
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
#ifndef UTIL_H
#define UTIL_H

typedef enum
{
  PARENT = 1,
  CHILD  = 2,
  ALL    = 3
} IDSET; 

int  update_pidfile( long, IDSET );
int  die_hard( int verbose, IDSET set ); 
int  suicide( int verbose ); 
void parse_speed( char * );
char *trim( char * );

#endif/*UTIL_H*/
